/// <reference types="node" />
/// <reference types="nock" />
import { Base, Context, Plugin } from './base';
import { EnvOptions } from './env';
import { NockScope } from './nock';
export declare const fancy: Base<Context, {
    skip: {
        output: {};
        a1: {};
        a2: {};
        a3: {};
        a4: {};
    };
} & {
    only: {
        output: {};
        a1: {};
        a2: {};
        a3: {};
        a4: {};
    };
} & {
    catch: {
        output: {
            error: Error;
        };
        a1: string | RegExp | ((err: Error) => any);
        a2: {
            raiseIfNotThrown?: boolean | undefined;
        };
        a3: {};
        a4: {};
    };
} & {
    env: {
        output: {
            envs: NodeJS.ProcessEnv[];
        };
        a1: {
            [k: string]: string | undefined;
        };
        a2: EnvOptions;
        a3: {};
        a4: {};
    };
} & {
    stub: {
        output: {
            stubs: any[];
        };
        a1: any;
        a2: string;
        a3: any;
        a4: {};
    };
} & {
    nock: {
        output: {
            nock: number;
        };
        a1: string;
        a2: (nock: NockScope) => any;
        a3: {};
        a4: {};
    };
} & {
    stderr: {
        output: {
            readonly stderr: string;
        };
        a1: {
            print?: boolean | undefined;
            stripColor?: boolean | undefined;
        };
        a2: {};
        a3: {};
        a4: {};
    };
} & {
    stdout: {
        output: {
            readonly stdout: string;
        };
        a1: {
            print?: boolean | undefined;
            stripColor?: boolean | undefined;
        };
        a2: {};
        a3: {};
        a4: {};
    };
}>;
export declare type Fancy = typeof fancy;
export { Context, Base, Plugin, EnvOptions, NockScope };
export default fancy;
export * from './chai';
